View Issue Details

IDProjectCategoryView StatusLast Update
0000529Far Manager 1.7xCommand Line/Executepublic2008-07-01 14:33
ReporterHaRTAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000529: Не восстанавливается текущая позиция в командной строке
DescriptionПосле выполнении команды из пользовательского меню курсор всегда оказывается в конце текста командной строки, независимо от того, в какой позиции он находился перед вызовом пользовательского меню. Особенно это неудобно, когда в командной строке есть выделение, т.к. теряется возможность его продолжить.

При использовании Apply command такая проблема отсутствует.
Steps To Reproduce1. Ввести какой-нибудь текст в командную строку.
2. Переместить в нём курсор куда-нибудь в середину.
3. Вызвать какую-нибудь команду пользовательского меню.
4. По её завершении убедиться, что курсор оказался в конце командной строки.
TagsNo tags attached.
Build2407

Activities

alexy

2008-06-28 17:46

administrator   bugnote:0001653

Fixed in 2407.

http://farmanager.com/farbugs/Far.b2407.CmdLinePos.rar

Issue History

Date Modified Username Field Change
2008-05-07 16:59 HaRT New Issue
2008-05-07 16:59 HaRT Status new => assigned
2008-05-07 16:59 HaRT Assigned To => alexy
2008-06-28 17:46 alexy Note Added: 0001653
2008-06-28 17:46 alexy Status assigned => feedback
2008-07-01 14:33 alexy Build => 2407
2008-07-01 14:33 alexy Status feedback => closed
2008-07-01 14:33 alexy Resolution open => fixed
2008-07-01 14:33 alexy Fixed in Version => 1.71